summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThorsten Leemhuis <fedora@leemhuis.info>2018-04-09 18:49:06 +0200
committerThorsten Leemhuis <fedora@leemhuis.info>2018-04-09 18:49:06 +0200
commit7d623b6e7466125166f04950d3cfd4977bc08787 (patch)
tree30fa71936af724fbc50aaff9d68a575593cd788e
parentb21d13ba2e4ff594f0c981c4e973b6618dfbc424 (diff)
parent018b8e4a87d519c1f751c73edaad8a8dd52ca975 (diff)
downloadkernel-7d623b6e7466125166f04950d3cfd4977bc08787.tar.gz
kernel-7d623b6e7466125166f04950d3cfd4977bc08787.tar.xz
kernel-7d623b6e7466125166f04950d3cfd4977bc08787.zip
Merge remote-tracking branch 'origin/f26' into f26-user-thl-vanilla-fedora
-rw-r--r--.gitignore1
-rwxr-xr-xscripts/stable-update.sh15
2 files changed, 16 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
index 2a888b23d..93aa862ec 100644
--- a/.gitignore
+++ b/.gitignore
@@ -3,5 +3,6 @@ clog
*.bz2
*.rpm
*.orig
+*.sign
kernel-[234].*/
perf-man-*.tar.gz
diff --git a/scripts/stable-update.sh b/scripts/stable-update.sh
index cd3595a7c..53607f004 100755
--- a/scripts/stable-update.sh
+++ b/scripts/stable-update.sh
@@ -47,6 +47,21 @@ if [ ! -f patch-$1.xz ]; then
fi
fi
+if [ ! -f "patch-$1.sign" ]; then
+ wget "https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-$1.sign"
+ if [ ! $? -eq 0 ]; then
+ echo "Signature download failed"
+ exit 1
+ fi
+fi
+
+xzcat "patch-$1.xz" | gpg2 --verify "patch-$1.sign" -
+if [ ! $? -eq 0 ]; then
+ echo "Patch file has invalid or untrusted signature!"
+ echo "See https://www.kernel.org/category/signatures.html"
+ exit 1
+fi
+
grep $1 sources &> /dev/null
if [ ! $? -eq 0 ]; then
# thl is not an allowed uploader, skip this